
local AddonName, Addon = ...
local L = Addon.L

Addon.Version = GetAddOnMetadata(AddonName, "Version")
Addon.VerNum = 0

Addon.TradeLog = {} -- 交易记录

Addon.Output = {} -- 交易记录输出窗口

--需要存入SavedVariables的内容
Addon.Config = { --默认config
	["SendToGroup"] = false,
	["LogTrades"] = true,
	["LogDays"] = 30,
	["ShowMinimapIcon"] = true,
	["MinimapIconPos"] = {"TOPRIGHT", nil, "TOPRIGHT", 7, -70},
}

--注册Frames
Addon.Frame = CreateFrame("Frame", AddonName .. "Frame")
Addon.Frame:Hide()
Addon.Panel = CreateFrame("Frame", AddonName .. "Panel")
Addon.Panel:Hide()
Addon.ScrollFrame = CreateFrame("ScrollFrame", nil, UIParent, "UIPanelScrollFrameTemplate")
Addon.ScrollFrame:Hide()
Addon.MinimapIcon = CreateFrame("Frame", AddonName .. "MinimapIcon", Minimap)
Addon.MinimapIcon:Hide()